import * as t from 'io-ts';
import { BuilderEventNames } from '../constants';
import { ExtractSchemaTypes } from '../schemas';
export declare const BuildCodeSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<BuilderEventNames.buildCode>;
        payload: t.IntersectionC<[t.TypeC<{
            region: t.StringC;
            bucketName: t.StringC;
            userId: t.StringC;
            inputFileKey: t.StringC;
            outputFileKey: t.StringC;
        }>, t.PartialC<{
            npmRegistry: t.StringC;
        }>]>;
    }>;
    Result: t.IntersectionC<[t.TypeC<{
        installLog: t.StringC;
        version: t.StringC;
    }>, t.PartialC<{
        routesManifest: t.StringC;
    }>]>;
    ArgumentsTransformer: unknown;
};
export declare type BuildCode = ExtractSchemaTypes<typeof BuildCodeSchema>;
export declare const DeployStaticSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<BuilderEventNames.deployStatic>;
        payload: t.TypeC<{
            region: t.StringC;
            inputBucketName: t.StringC;
            outputBucketName: t.StringC;
            userId: t.StringC;
            fileKey: t.StringC;
            deploymentId: t.StringC;
        }>;
    }>;
    Result: t.TypeC<{
        files: t.ArrayC<t.StringC>;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type DeployStatic = ExtractSchemaTypes<typeof DeployStaticSchema>;
