import * as t from 'io-ts';
import { ExtractSchemaTypes } from '../schemas';
import { InstallerEventNames } from '../constants';
export declare const GetCertificateByIdSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getCertificateById>;
        payload: t.TypeC<{
            userId: t.StringC;
            certificateId: t.StringC;
        }>;
    }>;
    Result: t.IntersectionC<[t.TypeC<{
        certificateId: t.StringC;
        additionalNames: t.ArrayC<t.StringC>;
        resourceARN: t.StringC;
    }>, t.PartialC<{
        domainName: t.StringC;
        importedAt: t.StringC;
        issuer: t.StringC;
        notBefore: t.StringC;
        notAfter: t.StringC;
    }>]>;
    ArgumentsTransformer: unknown;
};
export declare type GetCertificateById = ExtractSchemaTypes<typeof GetCertificateByIdSchema>;
export declare const GetCertificateByDomainNameSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getCertificateByDomainName>;
        payload: t.TypeC<{
            userId: t.StringC;
            domainName: t.StringC;
        }>;
    }>;
    Result: t.IntersectionC<[t.TypeC<{
        certificateId: t.StringC;
        additionalNames: t.ArrayC<t.StringC>;
        resourceARN: t.StringC;
    }>, t.PartialC<{
        domainName: t.StringC;
        importedAt: t.StringC;
        issuer: t.StringC;
        notBefore: t.StringC;
        notAfter: t.StringC;
    }>]>;
    ArgumentsTransformer: unknown;
};
export declare type GetCertificateByDomainName = ExtractSchemaTypes<typeof GetCertificateByDomainNameSchema>;
