import * as t from 'io-ts';
import { InstallerEventNames } from '../constants';
import { ExtractSchemaTypes } from '../schemas';
export declare const AttachClientAppUrlsSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.attachClientAppUrls>;
        payload: t.TypeC<{
            callbackUrl: t.StringC;
            logoutUrl: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type AttachClientAppUrls = ExtractSchemaTypes<typeof AttachClientAppUrlsSchema>;
export declare const CreateUserSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.createUser>;
        payload: t.IntersectionC<[t.TypeC<{
            email: t.StringC;
            temporaryPassword: t.StringC;
        }>, t.PartialC<{
            forceAliasCreation: t.BooleanC;
            messageAction: t.UnionC<[t.LiteralC<"RESEND">, t.LiteralC<"SUPPRESS">]>;
            clientMetadata: t.RecordC<t.StringC, t.StringC>;
            userAttributes: t.ArrayC<t.TypeC<{
                Name: t.StringC;
                Value: t.StringC;
            }>>;
            validationData: t.ArrayC<t.TypeC<{
                Name: t.StringC;
                Value: t.StringC;
            }>>;
            isAdmin: t.BooleanC;
        }>]>;
    }>;
    Result: t.TypeC<{
        userId: t.StringC;
        email: t.StringC;
        enabled: t.BooleanC;
        userStatus: t.StringC;
        isAdmin: t.BooleanC;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type CreateUser = ExtractSchemaTypes<typeof CreateUserSchema>;
export declare const DetachClientAppUrlsSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.detachClientAppUrls>;
        payload: t.TypeC<{
            callbackUrl: t.StringC;
            logoutUrl: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type DetachClientAppUrls = ExtractSchemaTypes<typeof DetachClientAppUrlsSchema>;
export declare const DropUserSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.dropUser>;
        payload: t.TypeC<{
            userId: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type DropUser = ExtractSchemaTypes<typeof DropUserSchema>;
export declare const GetUserSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getUser>;
        payload: t.TypeC<{
            userId: t.StringC;
        }>;
    }>;
    Result: t.TypeC<{
        userId: t.StringC;
        email: t.StringC;
        enabled: t.BooleanC;
        userStatus: t.StringC;
        isAdmin: t.BooleanC;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type GetUser = ExtractSchemaTypes<typeof GetUserSchema>;
export declare const GetUserIdByEmailSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getUserIdByEmail>;
        payload: t.TypeC<{
            email: t.StringC;
        }>;
    }>;
    Result: t.StringC;
    ArgumentsTransformer: unknown;
};
export declare type GetUserIdByEmail = ExtractSchemaTypes<typeof GetUserIdByEmailSchema>;
export declare const ListUsersSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.listUsers>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.ArrayC<t.TypeC<{
        userId: t.StringC;
        email: t.StringC;
        enabled: t.BooleanC;
        userStatus: t.StringC;
        isAdmin: t.BooleanC;
    }>>;
    ArgumentsTransformer: unknown;
};
export declare type ListUsers = ExtractSchemaTypes<typeof ListUsersSchema>;
