import * as t from 'io-ts';
import { ExtractSchemaTypes } from '../schemas';
import { InstallerEventNames } from '../constants';
export declare const AddDomainUserSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.addDomainUser>;
        payload: t.TypeC<{
            userId: t.StringC;
            domainId: t.StringC;
            user: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type AddDomainUser = ExtractSchemaTypes<typeof AddDomainUserSchema>;
export declare const RemoveDomainUserSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.removeDomainUser>;
        payload: t.TypeC<{
            userId: t.StringC;
            domainId: t.StringC;
            user: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type RemoveDomainUser = ExtractSchemaTypes<typeof RemoveDomainUserSchema>;
export declare const SetDomainUsersSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.setDomainUsers>;
        payload: t.TypeC<{
            userId: t.StringC;
            domainId: t.StringC;
            users: t.UnionC<[t.LiteralC<"*">, t.ArrayC<t.StringC>]>;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type SetDomainUsers = ExtractSchemaTypes<typeof SetDomainUsersSchema>;
