import * as t from 'io-ts';
import { ExtractSchemaTypes } from '../schemas';
import { InstallerEventNames } from '../constants';
export declare const SetVirtualHostSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.setVirtualHost>;
        payload: t.IntersectionC<[t.TypeC<{
            userId: t.StringC;
            domainId: t.StringC;
            virtualHost: t.StringC;
            functionArn: t.StringC;
        }>, t.PartialC<{
            routesManifest: t.StringC;
        }>]>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type SetVirtualHost = ExtractSchemaTypes<typeof SetVirtualHostSchema>;
export declare const UnsetVirtualHostSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.unsetVirtualHost>;
        payload: t.IntersectionC<[t.TypeC<{
            userId: t.StringC;
            domainId: t.StringC;
        }>, t.PartialC<{
            virtualHost: t.StringC;
            functionArn: t.StringC;
        }>]>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type UnsetVirtualHost = ExtractSchemaTypes<typeof UnsetVirtualHostSchema>;
export declare const ListVirtualHostsSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.listVirtualHosts>;
        payload: t.TypeC<{
            userId: t.StringC;
            domainId: t.StringC;
        }>;
    }>;
    Result: t.ArrayC<t.TypeC<{
        virtualHost: t.StringC;
        functionArn: t.StringC;
    }>>;
    ArgumentsTransformer: unknown;
};
export declare type ListVirtualHosts = ExtractSchemaTypes<typeof ListVirtualHostsSchema>;
