import * as t from 'io-ts';
import { ExtractSchemaTypes } from '../schemas';
import { InstallerEventNames } from '../constants';
export declare const GetDomainSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getDomain>;
        payload: t.TypeC<{
            userId: t.StringC;
            domainId: t.StringC;
        }>;
    }>;
    Result: t.TypeC<{
        domainId: t.StringC;
        domainType: t.UnionC<[t.LiteralC<"proxy">, t.LiteralC<"static">, t.LiteralC<"uploader">]>;
        domainName: t.StringC;
        resourceARN: t.StringC;
        aliases: t.ArrayC<t.StringC>;
        verified: t.BooleanC;
        owner: t.StringC;
        users: t.UnionC<[t.LiteralC<"*">, t.ArrayC<t.StringC>]>;
        verificationCode: t.StringC;
        certificateId: t.StringC;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type GetDomain = ExtractSchemaTypes<typeof GetDomainSchema>;
