import * as t from 'io-ts';
import { ExtractSchemaTypes } from '../../../schemas';
import { InstallerEventNames } from '../../../constants';
export declare const SetDeploymentDomainSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "PUT";
    Mode: "ASYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
    }>;
    Body: t.TypeC<{
        domain: t.StringC;
    }>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.setDeploymentDomain>;
        payload: t.TypeC<{
            userId: t.StringC;
            deploymentId: t.StringC;
            domain: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: ({ deploymentId, domain }: {
        deploymentId: string;
    } & {
        domain: string;
    } & {}) => {
        params: {
            deploymentId: string;
        };
        body: {
            domain: string;
        };
        query: {};
    };
};
export declare type SetDeploymentDomain = ExtractSchemaTypes<typeof SetDeploymentDomainSchema>;
export declare const UnsetDeploymentDomainSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "DELETE";
    Mode: "ASYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
    }>;
    Body: t.TypeC<{
        domain: t.StringC;
    }>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.unsetDeploymentDomain>;
        payload: t.TypeC<{
            userId: t.StringC;
            deploymentId: t.StringC;
            domain: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: ({ deploymentId, domain }: {
        deploymentId: string;
    } & {
        domain: string;
    } & {}) => {
        params: {
            deploymentId: string;
        };
        body: {
            domain: string;
        };
        query: {};
    };
};
export declare type UnsetDeploymentDomain = ExtractSchemaTypes<typeof UnsetDeploymentDomainSchema>;
