import * as t from 'io-ts';
import { FactoryEventNames } from '../../../constants';
import { ExtractSchemaTypes } from '../../../schemas';
export declare const PauseSagaSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "PATCH";
    Mode: "SYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
        sagaName: t.StringC;
    }>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<FactoryEventNames.pauseSaga>;
        payload: t.TypeC<{
            version: t.StringC;
            deploymentId: t.StringC;
            userId: t.StringC;
            eventListener: t.StringC;
        }>;
    }>;
    Result: t.AnyC;
    ArgumentsTransformer: ({ deploymentId, sagaName }: {
        deploymentId: string;
        sagaName: string;
    } & {} & {}) => {
        params: {
            deploymentId: string;
            sagaName: string;
        };
        body: {};
        query: {};
    };
};
export declare type PauseSaga = ExtractSchemaTypes<typeof PauseSagaSchema>;
export declare const ResetSagaSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "PATCH";
    Mode: "SYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
        sagaName: t.StringC;
    }>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<FactoryEventNames.resetSaga>;
        payload: t.TypeC<{
            version: t.StringC;
            deploymentId: t.StringC;
            userId: t.StringC;
            eventListener: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: ({ deploymentId, sagaName }: {
        deploymentId: string;
        sagaName: string;
    } & {} & {}) => {
        params: {
            deploymentId: string;
            sagaName: string;
        };
        body: {};
        query: {};
    };
};
export declare type ResetSaga = ExtractSchemaTypes<typeof ResetSagaSchema>;
export declare const ResumeSagaSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "PATCH";
    Mode: "SYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
        sagaName: t.StringC;
    }>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<FactoryEventNames.resumeSaga>;
        payload: t.TypeC<{
            version: t.StringC;
            deploymentId: t.StringC;
            userId: t.StringC;
            eventListener: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: ({ deploymentId, sagaName }: {
        deploymentId: string;
        sagaName: string;
    } & {} & {}) => {
        params: {
            deploymentId: string;
            sagaName: string;
        };
        body: {};
        query: {};
    };
};
export declare type ResumeSaga = ExtractSchemaTypes<typeof ResumeSagaSchema>;
export declare const ListSagasSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "GET";
    Mode: "ASYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
    }>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<FactoryEventNames.listSagas>;
        payload: t.TypeC<{
            version: t.StringC;
            deploymentId: t.StringC;
            userId: t.StringC;
        }>;
    }>;
    Result: t.ArrayC<t.TypeC<{
        name: t.StringC;
        status: t.UnionC<[t.StringC, t.NullC]>;
        successEvent: t.UnionC<[t.RecordC<t.StringC, t.AnyC>, t.NullC]>;
        failedEvent: t.UnionC<[t.RecordC<t.StringC, t.AnyC>, t.NullC]>;
        errors: t.ArrayC<t.TypeC<{
            name: t.StringC;
            message: t.StringC;
            stack: t.StringC;
        }>>;
    }>>;
    ArgumentsTransformer: ({ deploymentId }: {
        deploymentId: string;
    } & {} & {}) => {
        params: {
            deploymentId: string;
        };
        body: {};
        query: {};
    };
};
export declare type ListSagas = ExtractSchemaTypes<typeof ListSagasSchema>;
