export declare const STAGE_TAG_NAME = "resolve-stage";
export declare const VERSION_TAG_NAME = "resolve-version";
export declare const RESOURCE_TAG_NAME = "resolve-resource";
export declare const MANAGER_TAG_NAME = "resolve-manager";
export declare const DOMAIN_TYPE_TAG_NAME = "resolve-domain-type";
export declare const DOMAIN_CUSTOM_NAME_TAG_NAME = "resolve-domain-custom-name";
export declare const DOMAIN_NAME_TAG_NAME = "resolve-domain-name";
export declare const CERTIFICATE_ID_TAG_NAME = "resolve-certificate-id";
export declare const USER_ID_TAG_NAME = "resolve-user-id";
export declare const DOMAIN_USERS_TAG_NAME = "resolve-users";
export declare const EVENT_STORE_ID_TAG_NAME = "resolve-event-store-id";
export declare const LINKED_DEPLOYMENTS_TAG_NAME = "resolve-linked-deployments";
export declare const DEPLOYMENT_ID_TAG_NAME = "resolve-deployment-id";
export declare const APPLICATION_NAME_TAG_NAME = "resolve-application-name";
export declare const RDS_CLUSTER_NAME_TAG_NAME = "resolve-rds-cluster-name";
export declare const DEPLOYMENT_TAG_TAG_NAME = "resolve-deployment-tag";
export declare const CREATED_AT_TAG_NAME = "resolve-created-at";
export declare const EDGE_REGION = "us-east-1";
export declare const EVENT_STORE_DATABASE_NAME = "event-store";
export declare const READ_MODELS_DATABASE_NAME = "read-models";
export declare const SYSTEM_DATABASE_NAME = "system";
export declare const CONNECTIONS_TABLE_NAME = "connections";
export declare const SUBSCRIPTIONS_TABLE_NAME = "subscriptions";
export declare const PATTERNS_TABLE_NAME = "patterns";
export declare const NOTIFICATIONS_TABLE_NAME = "notifications";
export declare const SUBSCRIBERS_TABLE_NAME = "subscribers";
export declare const BATCHES_TABLE_NAME = "batches";
export declare const SERIAL_SQL_TYPE = "serial";
export declare const LONG_INTEGER_SQL_TYPE = "bigint";
export declare const JSON_SQL_TYPE = "jsonb";
export declare const STRING_SQL_TYPE = "VARCHAR(100)";
export declare const TEXT_SQL_TYPE = "TEXT";
export declare const HEADER_EXECUTION_MODE = "x-resolve-execution-mode";
export declare enum DomainCustomNames {
    DEPLOYMENTS = "deployments",
    SYSTEM = "system",
    STATIC = "static",
    UPLOADER = "uploader"
}
export declare enum FactoryEventNames {
    createEventStore = "createEventStore",
    dropEventStore = "dropEventStore",
    describeEventStore = "describeEventStore",
    cloneEventStore = "cloneEventStore",
    linkDeployment = "linkDeployment",
    unlinkDeployment = "unlinkDeployment",
    clearEventStore = "clearEventStore",
    freezeEventStore = "freezeEventStore",
    unfreezeEventStore = "unfreezeEventStore",
    importEventStore = "importEventStore",
    exportEventStore = "exportEventStore",
    getImportUrls = "getImportUrls",
    getExportUrls = "getExportUrls",
    uploadEventsToS3 = "uploadEventsToS3",
    createReadModel = "createReadModel",
    dropReadModel = "dropReadModel",
    listReadModels = "listReadModels",
    pauseReadModel = "pauseReadModel",
    resetReadModel = "resetReadModel",
    resumeReadModel = "resumeReadModel",
    listSagas = "listSagas",
    pauseSaga = "pauseSaga",
    resetSaga = "resetSaga",
    resumeSaga = "resumeSaga",
    listSagaProperties = "listSagaProperties",
    setSagaProperty = "setSagaProperty",
    deleteSagaProperty = "deleteSagaProperty",
    getSagaProperty = "getSagaProperty",
    bootstrapDeployment = "bootstrapDeployment",
    shutdownDeployment = "shutdownDeployment",
    dropEventSubscribers = "dropEventSubscribers"
}
export declare enum BuilderEventNames {
    buildCode = "buildCode",
    deployStatic = "deployStatic"
}
export declare enum InstallerEventNames {
    heartbeat = "heartbeat",
    authLogin = "authLogin",
    authLogout = "authLogout",
    authRefreshToken = "authRefreshToken",
    authWhoAmI = "authWhoAmI",
    installStageResources = "installStageResources",
    uninstallStageResources = "uninstallStageResources",
    installVersionResources = "installVersionResources",
    uninstallVersionResources = "uninstallVersionResources",
    uninstallVersionAssetsFolder = "uninstallVersionAssetsFolder",
    installAssetsBucket = "installAssetsBucket",
    uninstallAssetsBucket = "uninstallAssetsBucket",
    getAssetsStageBucketUploadSignedUrls = "getAssetsStageBucketUploadSignedUrls",
    getAssetsVersionBucketUploadSignedUrls = "getAssetsVersionBucketUploadSignedUrls",
    describe = "describe",
    describeExecution = "describeExecution",
    ensureCertificate = "ensureCertificate",
    dropCertificate = "dropCertificate",
    getCertificateById = "getCertificateById",
    listCertificates = "listCertificates",
    getCertificateByDomainName = "getCertificateByDomainName",
    createStaticDomain = "createStaticDomain",
    createProxyDomain = "createProxyDomain",
    createUploaderDomain = "createUploaderDomain",
    dropDomain = "dropDomain",
    setDomainUsers = "setDomainUsers",
    addDomainUser = "addDomainUser",
    removeDomainUser = "removeDomainUser",
    releaseDomain = "releaseDomain",
    getDomain = "getDomain",
    listDomains = "listDomains",
    verifyDomain = "verifyDomain",
    getVerificationCode = "getVerificationCode",
    createUser = "createUser",
    dropUser = "dropUser",
    getUser = "getUser",
    getUserIdByEmail = "getUserIdByEmail",
    listUsers = "listUsers",
    attachClientAppUrls = "attachClientAppUrls",
    detachClientAppUrls = "detachClientAppUrls",
    executeFactory = "executeFactory",
    setVirtualHost = "setVirtualHost",
    unsetVirtualHost = "unsetVirtualHost",
    listVirtualHosts = "listVirtualHosts",
    getClientAppConfig = "getClientAppConfig",
    enableLogs = "enableLogs",
    disableLogs = "disableLogs",
    getLogs = "getLogs",
    removeLogs = "removeLogs",
    updateEnvironmentVariables = "updateEnvironmentVariables",
    listEnvironmentVariables = "listEnvironmentVariables",
    enableTracing = "enableTracing",
    disableTracing = "disableTracing",
    getTracingDetails = "getTracingDetails",
    getSummaries = "getSummaries",
    getTracingStatus = "getTracingStatus",
    describeDeployment = "describeDeployment",
    listDeployments = "listDeployments",
    createDeployment = "createDeployment",
    getDeploymentUploadSignedUrl = "getDeploymentUploadSignedUrl",
    buildDeployment = "buildDeployment",
    dropDeployment = "dropDeployment",
    getDeploymentByApplicationName = "getDeploymentByApplicationName",
    getDeploymentByTag = "getDeploymentByTag",
    setDeploymentDomain = "setDeploymentDomain",
    unsetDeploymentDomain = "unsetDeploymentDomain",
    listEventStores = "listEventStores",
    ensureRdsUser = "ensureRdsUser",
    listVersions = "listVersions",
    createDnsRecord = "createDnsRecord",
    deleteDnsRecord = "deleteDnsRecord",
    listDnsRecords = "listDnsRecords",
    listHostedZones = "listHostedZones",
    getEventStore = "getEventStore",
    setDeploymentTag = "setDeploymentTag",
    unsetDeploymentTag = "unsetDeploymentTag",
    describeRDSClusters = "describeRDSClusters",
    addNotificationsWebhook = "addNotificationsWebhook",
    deleteNotificationsWebhook = "deleteNotificationsWebhook",
    listNotificationsWebhooks = "listNotificationsWebhooks",
    ensureRuntime = "ensureRuntime",
    switchApplicationsRuntime = "switchApplicationsRuntime",
    findRuntime = "findRuntime"
}
export declare type RequestMode = 'SYNC' | 'ASYNC';
export declare type RequestMethod = 'GET' | 'POST' | 'PUT' | 'DELETE' | 'PATCH' | 'OPTIONS' | 'HEAD';
